## y4menc y4menc — Encodes a YUV frame into the yuv4mpeg format (mjpegtools) |

## Types and Values

struct | GstY4mEncode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstY4mEncode

## Description

### Example launch line

Creates a YU4MPEG2 raw video stream as defined by the mjpegtools project.

(write everything in one line, without the backslash characters)

    gst-launch-0.10 videotestsrc num-buffers=250 \
    ! 'video/x-raw,format=(string)I420,width=320,height=240,framerate=(fraction)25/1' \
    ! y4menc ! filesink location=test.yuv

## Synopsis

### Element Information

plugin | y4menc
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Encoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ IYUV, I420, Y42B, Y41B, Y444 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | application/x-yuv4mpeg, y4mversion=(int)2

## Functions

## Types and Values

### struct GstY4mEncode

    struct GstY4mEncode;